|  | Home · All Classes · Modules

# QFontDialog Class Reference
[QtGui module]

The QFontDialog class provides a dialog widget for selecting a font. More...

Inherits QDialog.

### Methods

- changeEvent (self, QEvent e)

### Static Methods

- (QFont, bool ok) getFont (QFont def, QWidget parent, QString caption)
- (QFont, bool ok) getFont (QFont def, QWidget parent = None)
- (QFont, bool ok) getFont (QWidget parent = None)

## Detailed Description

The QFontDialog class provides a dialog widget for selecting a font.

The usual way to use this class is to call one of the static convenience functions, e.g. getFont().

Examples:

     bool ok;
     QFont font = QFontDialog.getFont(
                     &ok, QFont("Helvetica [Cronyx]", 10), this);
     if (ok) {
         // the user clicked OK and font is set to the font the user selected
     } else {
         // the user canceled the dialog; font is set to the initial
         // value, in this case Helvetica [Cronyx], 10
     }

The dialog can also be used to set a widget's font directly:

     myWidget.setFont(QFontDialog.getFont(0, myWidget.font()));

If the user clicks OK the font they chose will be used for myWidget, and if they click Cancel the original font is used.

See also QFont, QFontInfo, QFontMetrics, QColorDialog, QFileDialog, QPrintDialog, and Standard Dialogs Example.

## Method Documentation

### QFontDialog.changeEvent (self, QEvent e)

### (QFont, bool ok) QFontDialog.getFont (QFont def, QWidget parent, QString caption)

Executes a modal font dialog and returns a font.

If the user clicks OK, the selected font is returned. If the user clicks Cancel, the initial font is returned.

The dialog is constructed with the given parent. caption is shown as the window title of the dialog and initial is the initially selected font. If the ok parameter is not-null, the value it refers to is set to true if the user clicks OK, and set to false if the user clicks Cancel.

This static function is less flexible than the full QFontDialog object, but is convenient and easy to use.

Examples:

     bool ok;
     QFont font = QFontDialog.getFont(&ok, QFont("Times", 12), this);
     if (ok) {
         // font is set to the font the user selected
     } else {
         // the user canceled the dialog; font is set to the initial
         // value, in this case Times, 12.
     }

The dialog can also be used to set a widget's font directly:

     myWidget.setFont(QFontDialog.getFont(0, myWidget.font()));

In this example, if the user clicks OK the font they chose will be used, and if they click Cancel the original font is used.

### (QFont, bool ok) QFontDialog.getFont (QFont def, QWidget parent = None)

This is an overloaded member function, provided for convenience.

Call getFont(ok, def, parent) instead.

The name parameter is ignored.

### (QFont, bool ok) QFontDialog.getFont (QWidget parent = None)

This is an overloaded member function, provided for convenience.

Call getFont(ok, parent) instead.

The name parameter is ignored.